Subject: bug#60845: 30.0.50; [PATCH] Add tests for Eshell interactive completion (and fix a bug in it)

From: Jim Porter <[email-masked]>
Date: Sun, 29 Jan 2023 23:14:49 -0800

X-Debbugs-Cc: [email-masked]

On 1/22/2023 1:35 PM, Jim Porter wrote:
> On 1/22/2023 1:34 PM, Jim Porter wrote:
>> The third patch in this series fixes this for the Eshell side, so we 
>> could probably remove the workaround in pcomplete.el for Emacs 30.

Stefan, do you have any thoughts on these changes, especially the third 
patch? I did a bit of tinkering with pcomplete functions, and I think it 
should be ok for the Eshell side of things. Eshell-specific pcomplete 
functions can get the real value if they need by examining the 
'pcomplete-arg-value' string property.

For pcomplete functions that aren't Eshell-specific, they'll always get 
the string form of arguments by default, so things should Just Work there.